Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3840 closed enhancement (fixed)

Add CONFIGURE_IMFS_ENABLE_MKFIFO

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: config Version: 5
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description

Obsolete undocumented configuration options CONFIGURE_MAXIMUM_FIFOS and CONFIGURE_MAXIMUM_PIPES. Replace them with a new option: CONFIGURE_IMFS_ENABLE_MKFIFO.

Change History (4)

comment:1 Changed on 12/11/19 at 16:46:26 by Sebastian Huber <sebastian.huber@…>

In [changeset:"b1b6dd71d0d4609e81e14cbc94ef3dafa06712ba/rtems" b1b6dd71/rtems]:

pipe: Use condition variables

Use self-contained condition variables instead of Classic API barriers.
This simplifies the implementation and configuration.

Update #3840.

comment:2 Changed on 12/13/19 at 09:10:31 by Sebastian Huber <sebastian.huber@…>

In [changeset:"6f6091b3849822e074cd4fbb794f389ba1662a4a/rtems" 6f6091b3/rtems]:

config: Add CONFIGURE_IMFS_ENABLE_MKFIFO

Obsolete undocumented configuration options CONFIGURE_MAXIMUM_FIFOS and
CONFIGURE_MAXIMUM_PIPES. Replace these options with the new
CONFIGURE_IMFS_ENABLE_MKFIFO configuration option.

Update #3840.

comment:3 Changed on 12/13/19 at 13:07:13 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"d954241f018cb254e22b9a5c2db3f4b65e91a274/rtems-docs" d954241/rtems-docs]:

c-user: Document CONFIGURE_IMFS_ENABLE_MKFIFO

Close #3840.

comment:4 Changed on 06/23/21 at 07:16:03 by Sebastian Huber

Keywords: qualification added
Note: See TracTickets for help on using tickets.